#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1  Red
#property indicator_width1  1

extern int timeFrame = 0;
extern int minBars   = 10;
double v1[];
  
int init()
{
   SetIndexBuffer(0,v1); SetIndexLabel(0,"OpenDot"); SetIndexStyle(0,DRAW_ARROW); SetIndexArrow(0, 159);
   timeFrame = MathMax(timeFrame,Period());
   return(0);
}

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
            int limit = MathMin(MathMax(Bars-counted_bars,minBars*timeFrame/Period()),Bars-1);

   for(int i=limit; i>=0; i--)
   {
      int y = iBarShift(NULL,timeFrame,Time[i]);
      int x = iBarShift(NULL,timeFrame,Time[i-1]);
         if (x!=y)
               v1[i] = iClose(NULL,timeFrame,y);
         else  v1[i] = EMPTY_VALUE;
   }   
  return(0);
}

